Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001422ScribusGeneralpublic2004-12-20 18:312006-11-27 00:12
ReporterDaniel 
Assigned Toavox 
PrioritynormalSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version 
Summary0001422: Manual adjustment of word spacing...
DescriptionWhile it's possible to manually adjust the spacing between words by using kerning of the "space" characters between them, it's not practical or efficient while comparing different layouts and do compositing work. It would be nice if there were a text-setting property to allow manual adjustment of this to be applied to entire given selection of text (this should be familiar from other commercial products).

Thanks.
TagsNo tags attached.
Patch
Attached Files

- Relationships
has duplicate 0000294closed Word spacing 

-  Notes
(0005578)
ringerc (administrator)
2005-07-14 04:24

Agreed that this would be useful. It'd probably be best done as a char style (remembering that char styles will be able to be applied to text without explicitly creating one - ie anonymous styles).

We need to think about tracking vs kerning too.
(0013570)
mhanski (developer)
2006-11-27 00:10

Copied from the dupe 0000294:
"I absolutely agree.
In typesetting some special spaces are used:
Base ist the "em quad". It has the wide of the letter "m" (not absolutely needed, you may set two "en quads" instead). These are usually equal to a digit. So you can adjust numbers in a list or a table (if you don't habe decimal tabs). A "quarter quad" is used where the normal wordspace is too big (example: E. Meier). To optimize this feature, some typesetters use "sixth part quads" or even "eighth quads".
Entities defined in MathML (http://www.w3.org/TR/MathML2/bycodes.html [^]):
  = em quad
  = en quad
  = quarter quad
  = sixth part quad
  = eighth quad
These spaces should be fixed values, non breakable, they should not grow in justified text. (Some others are listed there, too, but I think the list above contains the most important).
Also there is a nonbreakable wordspace:  . You may use it to avoid separation of words. For example the company "X Tec" should not be separated. It is a normal wordspace and grows if a line gets justified."

- Issue History
Date Modified Username Field Change
2004-12-20 18:31 Daniel New Issue
2005-07-11 16:40 ringerc Relationship added related to 0002228
2005-07-14 04:24 ringerc Note Added: 0005578
2005-07-14 04:24 ringerc Status new => acknowledged
2006-11-18 07:25 avox Status acknowledged => assigned
2006-11-18 07:25 avox Assigned To => avox
2006-11-18 07:27 avox Relationship added has duplicate 0000294
2006-11-27 00:10 mhanski Note Added: 0013570
2006-11-27 00:12 mhanski OS Debian GNU/Linux (kernel 2.4.26) => any
2006-11-27 00:12 mhanski OS Version 'testing' => any
2006-11-27 00:12 mhanski Platform Linux => any
2006-11-27 00:12 mhanski Product Version 1.2.1cvs => 1.3
2006-11-27 00:12 mhanski Build 26 =>



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker